using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace de.WWWings.Workflow
{
 public partial class Akademie : SequentialWorkflowActivity
 {

  int Sekunden;

  private void codeActivity1_ExecuteCode(object sender, EventArgs e)
  {
   Sekunden = DateTime.Now.Second;

  }

  private void Zufallsbedingung(object sender, ConditionalEventArgs e)
  {

   e.Result = ((Sekunden % 2) == 0);
  }

  private void codeActivity2_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Sekundenanzahl gerade!");
  }

  private void codeActivity3_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Sekundenanzahl ungerade!");
  }
 }
}
